// Ansteuern eines Standard-LCD mit 4-Bit-Schnittstelle
// Pin 1.0: E
// Pin 1.1: RS
// Pins 1.4 bis 1.7: D4 bis D7
// 2010-11-19: von jl erstellt

#ifndef DISPLAY01_H
#define DISPLAY01_H

#include <stdbool.h>

void initialize(void);
void clear(void);
void putCharacter(unsigned char row, unsigned char column, unsigned char character);

// Achtung: Der Cursor wird automatisch hinter das aktuell geschriebene Zeichen verschoben.
void showCursor(bool visible, bool blinking);
void shiftCursor(bool right);
void moveCursor(unsigned char row, unsigned char column);

void waitOneMillisecond(void);
void waitMilliseconds(unsigned int duration);

#endif
